local _G = getfenv(0)

function Skinner:CT_RaidTracker()

-->>-- Raid Tracker Frame
	CT_RaidTrackerFrame:SetWidth(CT_RaidTrackerFrame:GetWidth() * FxMult)
	CT_RaidTrackerFrame:SetHeight(CT_RaidTrackerFrame:GetHeight() * FyMult + 40)
	self:moveObject(CT_RaidTrackerExpandButtonFrame, "-", 20, nil, nil)
	self:moveObject(CT_RaidTrackerFrameCloseButton, "+", 28, "+", 8)
	self:moveObject(CT_RaidTrackerFrameView2Button, "-", 10, "-", 40)
	self:moveObject(CT_RaidTrackerFrameBackButton, "+", 30, "-", 40)
	self:keepRegions(CT_RaidTrackerFrame, {6})
	self:applySkin(CT_RaidTrackerFrame, nil)
	
	self:keepRegions(CT_EmptyRaidTrackerFrame, {})

	-- Raid List Scroll Frame
	self:keepRegions(CT_RaidTrackerListScrollFrame, {})
	self:moveObject(CT_RaidTrackerListScrollFrame, "-", 6, nil, nil)
	self:skinScrollBar(CT_RaidTrackerListScrollFrame)

	-- Raid Participant Scroll Frame
	CT_RaidTrackerParticipantsText:SetTextColor(HTr, HTg, HTb)
	self:keepRegions(CT_RaidTrackerTab1, {3})
	self:keepRegions(CT_RaidTrackerTab2, {3})
	self:keepRegions(CT_RaidTrackerTab3, {3})
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerTab1, nil, 0)
	else self:applySkin(CT_RaidTrackerTab1) end
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerTab2, nil, 0)
	else self:applySkin(CT_RaidTrackerTab2) end
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerTab3, nil, 0)
	else self:applySkin(CT_RaidTrackerTab3) end
	for i = 1, 11 do
		_G["CT_RaidTrackerPlayerLine"..i.."Number"]:SetTextColor(BTr, BTg, BTb)
		_G["CT_RaidTrackerPlayerLine"..i.."Name"]:SetTextColor(BTr, BTg, BTb)
		_G["CT_RaidTrackerPlayerLine"..i.."Join"]:SetTextColor(BTr, BTg, BTb)
		_G["CT_RaidTrackerPlayerLine"..i.."Leave"]:SetTextColor(BTr, BTg, BTb)
	end
	self:keepRegions(CT_RaidTrackerDetailScrollFramePlayers, {})
	CT_RaidTrackerDetailScrollFramePlayersScrollBar:SetHeight(CT_RaidTrackerDetailScrollFramePlayersScrollBar:GetHeight() - 50)
	self:moveObject(CT_RaidTrackerDetailScrollFramePlayersScrollBar, nil, nil, "-", 48)
	self:skinScrollBar(CT_RaidTrackerDetailScrollFramePlayers)

	-- Raid Player Scroll Frame
	CT_RaidTrackerPlayerText:SetTextColor(HTr, HTg, HTb)
	self:keepRegions(CT_RaidTrackerPlayerRaidTab1, {3})
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerPlayerRaidTab1, nil, 0)
	else self:applySkin(CT_RaidTrackerPlayerRaidTab1) end
	self:keepRegions(CT_RaidTrackerPlayerRaidTabLooter, {3})
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerPlayerRaidTabLooter, nil, 0)
	else self:applySkin(CT_RaidTrackerPlayerRaidTabLooter) end
	for i = 1, 11 do
		_G["CT_RaidTrackerPlayerRaid"..i.."Number"]:SetTextColor(BTr, BTg, BTb)
		_G["CT_RaidTrackerPlayerRaid"..i.."Name"]:SetTextColor(BTr, BTg, BTb)
		_G["CT_RaidTrackerPlayerRaid"..i.."Note"]:SetTextColor(BTr, BTg, BTb)
	end
	self:keepRegions(CT_RaidTrackerDetailScrollFramePlayer, {})
	CT_RaidTrackerDetailScrollFramePlayerScrollBar:SetHeight(CT_RaidTrackerDetailScrollFramePlayerScrollBar:GetHeight() - 50)
	self:moveObject(CT_RaidTrackerDetailScrollFramePlayerScrollBar, nil, nil, "-", 48)
	self:skinScrollBar(CT_RaidTrackerDetailScrollFramePlayer)

	-- Raid Bosses Scroll Frame
	CT_RaidTrackerEventsText:SetTextColor(HTr, HTg, HTb)
	self:keepRegions(CT_RaidTrackerPlayerBossesTab1, {3})
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerPlayerBossesTab1, nil, 0)
	else self:applySkin(CT_RaidTrackerPlayerBossesTab1) end
	self:keepRegions(CT_RaidTrackerPlayerBossesTabBoss, {3})
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerPlayerBossesTabBoss, nil, 0)
	else self:applySkin(CT_RaidTrackerPlayerBossesTabBoss) end
	for i = 1, 11 do
		_G["CT_RaidTrackerBosses"..i.."Boss"]:SetTextColor(BTr, BTg, BTb)
		_G["CT_RaidTrackerBosses"..i.."Time"]:SetTextColor(BTr, BTg, BTb)
	end
	self:keepRegions(CT_RaidTrackerDetailScrollFrameEvents, {1})
	CT_RaidTrackerDetailScrollFrameEventsScrollBar:SetHeight(CT_RaidTrackerDetailScrollFrameEventsScrollBar:GetHeight() - 50)
	self:moveObject(CT_RaidTrackerDetailScrollFrameEventsScrollBar, nil, nil, "-", 48)
	self:skinScrollBar(CT_RaidTrackerDetailScrollFrameEvents)

	-- Raid Items Scroll Frame
	CT_RaidTrackerItemsText:SetTextColor(HTr, HTg, HTb)
	self:keepRegions(CT_RaidTrackerRarityDropDown, {4})
	self:keepRegions(CT_RaidTrackerItemTab1, {3})
	self:keepRegions(CT_RaidTrackerItemTab2, {3})
	self:keepRegions(CT_RaidTrackerItemTab3, {3})
	self:keepRegions(CT_RaidTrackerItemTab4, {3})
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerItemTab1, nil, 0)
	else self:applySkin(CT_RaidTrackerItemTab1) end
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerItemTab2, nil, 0)
	else self:applySkin(CT_RaidTrackerItemTab2) end
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerItemTab3, nil, 0)
	else self:applySkin(CT_RaidTrackerItemTab3) end
	if self.db.profile.TexturedTab then self:applySkin(CT_RaidTrackerItemTab4, nil, 0)
	else self:applySkin(CT_RaidTrackerItemTab4) end
	for i = 1, 5 do
		_G["CT_RaidTrackerItem"..i.."Description"]:SetTextColor(BTr, BTg, BTb)
		_G["CT_RaidTrackerItem"..i.."Looted"]:SetTextColor(BTr, BTg, BTb)
		_G["CT_RaidTrackerItem"..i.."Count"]:SetTextColor(BTr, BTg, BTb)
	end
	self:keepRegions(CT_RaidTrackerDetailScrollFrameItems, {})
	CT_RaidTrackerDetailScrollFrameItemsScrollBar:SetHeight(CT_RaidTrackerDetailScrollFrameItemsScrollBar:GetHeight() - 50)
	self:moveObject(CT_RaidTrackerDetailScrollFrameItemsScrollBar, nil, nil, "-", 48)
	self:skinScrollBar(CT_RaidTrackerDetailScrollFrameItems)

-->>-- Accept Delete Frame
	CT_RaidTrackerAcceptDeleteFrameHeaderTexture:Hide()
	self:applySkin(CT_RaidTrackerAcceptDeleteFrame, true)

-->>-- Edit Note Frame
	CT_RaidTrackerEditNoteFrameHeaderTexture:Hide()
	self:skinEditBox(CT_RaidTrackerEditNoteFrameNoteEB, {6})
	self:applySkin(URLFrame)
	
-->>-- URL Frame
	URLFrameHeader:Hide()
	self:skinEditBox(URLFrameEditBox)
	self:applySkin(CT_RaidTrackerEditNoteFrame)
	
-->>-- Join Leave Frame
	CT_RaidTrackerJoinLeaveFrameHeaderTexture:Hide()
	self:skinEditBox(CT_RaidTrackerJoinLeaveFrameNameEB, {6})
	self:skinEditBox(CT_RaidTrackerJoinLeaveFrameNoteEB, {6})
	self:skinEditBox(CT_RaidTrackerJoinLeaveFrameTimeEB, {6})
	self:applySkin(CT_RaidTrackerJoinLeaveFrame)
	
-->>-- Tooltip
	self:skinTooltip(CT_RTTooltip)
	
-->>-- Options Frame
	CT_RaidTrackerOptionsFrameTitle:Hide()
	self:moveObject(CT_RaidTrackerOptionsFrameCloseButton, "+", 8, "+", 8)
	self:applySkin(CT_RaidTrackerOptionsFrame)
	
-->>-- Item Options Frame
	RaidWarnFrameTitle:Hide()
	self:moveObject(CT_RaidTracker_ItemOptions_CloseButton, "+", 6, "+", 6)
	self:removeRegions(CT_RaidTracker_ItemOptions_ScrollBar)
	self:skinScrollBar(CT_RaidTracker_ItemOptions_ScrollBar)
	self:applySkin(CT_RaidTracker_ItemOptions_ScrollFrame)
	self:applySkin(CT_RaidTrackerItemOptionsFrame)
	
	self:applySkin(CT_RaidTracker_ItemOptions_EditFrame)

end
